Subject: bug#14333: 24.3.50; Emacs hangs when trying to exit

From: Eli Zaretskii <[email-masked]>
Date: Tue, 21 May 2013 19:48:28 +0300

> Date: Tue, 21 May 2013 09:01:01 +0200
> From: Dani Moncayo <[email-masked]>
> Cc: [email-masked]
> 
> I've got another hung session, with a newer version of Emacs:
> 
> 
> In GNU Emacs 24.3.50.1 (i686-pc-mingw32)
>  of 2013-05-17 on LEG570
> Bzr revision: 112622 [email-masked]
> Windowing system distributor `Microsoft Corp.', version 5.2.3790
> Configured using:
>  `configure --prefix=/c/usr --enable-checking CFLAGS='-O0 -g3'
>  CPPFLAGS='-DGLYPH_DEBUG=1 -I/c/usr/include''
> 
> But the call stacks I've got with Process Explorer are different (and
> strange), because I see no frames inside Emacs, in any of the threads:

Sorry, I cannot do anything with this information.  I don't have
sources of ntoskrnl and of ntdll.

If Emacs no gets stuck in threads that we didn't launch from our Emacs
application code, then perhaps this is not an Emacs problem at all.

> FWIW, this is the output of `netstat -nbo':

Thanks.  The only ones that might be relevant are those that connect
to localhost:

>     TCP    127.0.0.1:1041         127.0.0.1:42510        ESTABLISHED     1316
>     [InoTask.exe]
> 
>     TCP    127.0.0.1:42510        127.0.0.1:1041         ESTABLISHED     1264
>     [InoRpc.exe]

But I know nothing about these processes.